Linked by Thom Holwerda on Sat 26th Mar 2011 02:00 UTC
Mac OS X When you run smbd -V on your Snow Leopard installation, you'll see it's running SAMBA version 3.0.28a-apple. While I'm not sure how much difference the "-apple" makes, version 3.0.28a is old. Very old. In other words, it's riddled with bugs. Apple hasn't updated SAMBA in 3 years, and for Lion, they're dumping it altogether for something homegrown. The reason? SAMBA is now GPLv3.
Permalink for comment 468003
To read all comments associated with this story, please click here.
Bill Shooter of Bul
Member since:
2006-07-14

Aside form the fact that a EULA is different that an open source code license, I actually am not that upset over apple's EULA.

Re: patents

Its obvious we have a lot of armchair legal quarterbacks here who are teaming up with Apple cheerleaders. I don't think the patent clause is that anti-corperate. I'd like to hear a reasoning form an actual corporation why they don't want to use gpl v3 software due to the patent clause. The old "its because of patents" refrain is weak reasoning. Its like asking why a company is bankrupt and being told " its because of money ".

Reply Parent Score: 2